Summary: An HTTP and WebDAV client library
Name: oc-neon
Version: 0.30.0
Release: 2.1
License: LGPLv2+
Group: System Environment/Libraries
URL: http://www.webdav.org/neon/
Source0: http://www.webdav.org/neon/neon-%{version}.tar.gz
Patch0: neon-0.27.0-multilib.patch
%if 0%{?suse_version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires: libexpat-devel
Requires: openssl-certs
%else
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: expat-devel, pakchois-devel
Requires: ca-certificates
%endif
BuildRequires: gnutls-devel, zlib-devel, krb5-devel, libproxy-devel
BuildRequires: pkgconfig

%define _prefix /opt/neon-%{version}

%description
neon is an HTTP and WebDAV client library, with a C interface;
providing a high-level interface to HTTP and WebDAV methods along
with a low-level interface for HTTP request handling.  neon
supports persistent connections, proxy servers, basic, digest and
Kerberos authentication, and has complete SSL support.

%package devel
Summary: Development libraries and C header files for the neon library
Group: Development/Libraries
%if 0%{?suse_version}
BuildRequires: libexpat-devel, libgnutls-devel
%else
BuildRequires: expat-devel, gnutls-devel
%endif
Requires: oc-neon = %{version}-%{release}, zlib-devel
Requires: pkgconfig
# Documentation is GPLv2+
License: LGPLv2+ and GPLv2+

%description devel
The development library for the C language HTTP and WebDAV client library.

%prep
%setup -q -n neon-%{version}
%patch0 -p1 -b .multilib

# prevent installation of HTML docs
sed -ibak '/^install-docs/s/install-html//' Makefile.in

%build
export CC="%{__cc} -pthread"
# Use standard system CA bundle:
%define cabundle %{_sysconfdir}/pki/tls/certs/ca-bundle.crt
%configure --with-expat --enable-shared --disable-static \
        --enable-warnings --with-ca-bundle=%{cabundle} \
        --with-ssl=gnutls --enable-threadsafe-ssl=posix \
        --with-libproxy
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

echo "export LD_LIBRARY_PATH=%{_libdir}/:\$LD_LIBRARY_PATH" > $RPM_BUILD_ROOT/%{_prefix}/oc-neon-env.sh

sed -ri "/^dependency_libs/{s,-l[^ ']*,,g}" \
      $RPM_BUILD_ROOT%{_libdir}/libneon.la

# %find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS BUGS TODO src/COPYING.LIB NEWS README THANKS
%{_libdir}/*.so.*
%{_datadir}/locale/*/*/*
%{_prefix}/oc-neon-env.sh

%if 0%{?suse_version}
%dir %{_datadir}
%dir %{_libdir}
%dir %{_prefix}
%{_datadir}/locale
%endif

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/pkgconfig/neon.pc
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_libdir}/*.*a
%{_libdir}/*.so

%if 0%{?suse_version}
%dir %{_libdir}/pkgconfig
%dir %{_mandir}
%dir %{_mandir}/man1
%dir %{_mandir}/man3
%dir %{_mandir}
%dir %{_bindir}
%dir %{_includedir}
%dir %{_prefix}
%endif

%changelog
* Thu Feb 13 2014 freitag@owncloud.com
- Initial package of libneon 0.30.0 for CentOS 6.
